uk.gov.hmrc

# SbtExample

#### object SbtExample extends AutoPlugin

Linear Supertypes
AutoPlugin, PluginsFunctions, Basic, Plugins, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SbtExample
2. AutoPlugin
3. PluginsFunctions
4. Basic
5. Plugins
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def &&(o: Basic): Plugins

   Definition Classes
     Basic → Plugins

5. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

6. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

7. #### def allRequirements: PluginTrigger

   Definition Classes
     PluginsFunctions

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def buildSettings: Seq[sbt.Def.Setting[_]]

   Definition Classes
     AutoPlugin

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def derivedProjects(proj: ProjectDefinition[_]): Seq[Project]

    Definition Classes
      AutoPlugin

12. #### def empty: Plugins

    Definition Classes
      PluginsFunctions

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def extraProjects: Seq[Project]

    Definition Classes
      AutoPlugin

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def globalSettings: Seq[sbt.Def.Setting[_]]

    Definition Classes
      AutoPlugin

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### val hello: InputKey[Unit]

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### val label: String

    Definition Classes
      AutoPlugin

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### def noTrigger: PluginTrigger

    Definition Classes
      PluginsFunctions

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def projectConfigurations: Seq[Configuration]

    Definition Classes
      AutoPlugin

28. #### lazy val projectSettings: Seq[sbt.Def.Setting[InputTask[Unit]]]

    Definition Classes
      SbtExample → AutoPlugin

29. #### def requires: Plugins

    Definition Classes
      AutoPlugin

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      AutoPlugin → AnyRef → Any

32. #### def trigger: PluginTrigger

    Definition Classes
      AutoPlugin

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AutoPlugin

### Inherited from PluginsFunctions

### Inherited from Basic

### Inherited from Plugins

### Inherited from AnyRef

### Inherited from Any

### Ungrouped